curl --request PUT \
--url https://developersandbox-api.flutterwave.com/chargebacks/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"status": "accepted",
"uploaded_proof": "https://example.com/proofs/proof_123.pdf",
"comment": "",
"provider": "Visa",
"arn": "1243453453434234534443423",
"due_datetime": "2025-05-30T23:59:59Z",
"proof_data": "JVBERi0xLjIgCjkgMAojX"
}
'import requests
url = "https://developersandbox-api.flutterwave.com/chargebacks/{id}"
payload = {
"status": "accepted",
"uploaded_proof": "https://example.com/proofs/proof_123.pdf",
"comment": "",
"provider": "Visa",
"arn": "1243453453434234534443423",
"due_datetime": "2025-05-30T23:59:59Z",
"proof_data": "JVBERi0xLjIgCjkgMAojX"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
status: 'accepted',
uploaded_proof: 'https://example.com/proofs/proof_123.pdf',
comment: '',
provider: 'Visa',
arn: '1243453453434234534443423',
due_datetime: '2025-05-30T23:59:59Z',
proof_data: 'JVBERi0xLjIgCjkgMAojX'
})
};
fetch('https://developersandbox-api.flutterwave.com/chargebacks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"data": {
"id": 1,
"charge_id": "chg_eahdhfThdHsgaSra",
"amount": 12.34,
"meta": {},
"stage": "new",
"status": "new",
"type": "local",
"due_datetime": "2025-05-30T23:59:59Z",
"created_datetime": "2025-06-01T23:59:59Z",
"updated_datetime": "2025-06-01T23:59:59Z",
"settlement_id": "SETTLEMENT-XYZ-12345",
"uploaded_proof": "https://example.com/proofs/chargeback-ABC-67890.pdf",
"comment": "Customer claims service not rendered. Attached signed delivery confirmation.",
"provider": "Visa",
"arn": "70010000000000000000001",
"initiator": "Cardholder"
}
}{
"status": "failed",
"error": {
"type": "REQUEST_NOT_VALID",
"code": "10400",
"message": "Request is not valid",
"validation_errors": [
{
"field_name": "amount",
"message": "must not be null"
}
]
}
}{
"status": "failed",
"message": "UNAUTHORIZED",
"error": {
"type": "UNAUTHORIZED",
"code": "10401",
"message": "unauthorized"
}
}{
"status": "failed",
"message": "<string>",
"error": {
"type": "FORBIDDEN",
"code": "10403",
"message": "Forbidden"
}
}Update a chargeback
Update a chargeback
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
A unique identifier to track this operation. It must be between 12 and 255 characters in length.
12 - 255Path Parameters
ID of the chargeback
Body
The status indicates the final resolution of a dispute or request, showing whether it has been accepted or declined.
accepted, declined "accepted"
Link to proof against chargeback
"https://example.com/proofs/proof_123.pdf"
Additional comments for the chargeback
""
Provider for the chargeback
"Visa"
Acquirer reference number for transaction
"1243453453434234534443423"
The due_datetime specifies the exact date and time by which an action or response is required. This is typically used to set deadlines for submitting documentation or responding to a chargeback.
"2025-05-30T23:59:59Z"
Base64 encoded string of proof against chargeback
"JVBERi0xLjIgCjkgMAojX"
Was this page helpful?